commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From robert burrell donkin <robertburrelldon...@blueyonder.co.uk>
Subject [jelly] jaxme tag library xml version woes
Date Wed, 24 Mar 2004 08:57:37 GMT
the required jaxme jars are now in the maven repository. (the mess 
hasn't been cleared up but i think that the repo team are looking to 
establish better procedures for the future rather than fix past 
mistakes.) so i've been taking a look at adding the jaxme tag library 
into jelly-tags and i've run into a bit of a problem.

the tag library builds fine without dependencies but once the 
project.xml extends tag-project.xml, the tests fail. the issue is that 
the DOM libraries which ships with xerces 2.2.1 are incompatible with 
the ones used by jaxme. (if i comment out the parser dependencies in 
the project.xml, it works fine.) what makes solving this one tougher is 
that really the generator needs to use the parser from the base 
classloader (and so must have no xml parser dependencies in the the 
POM).

any ideas?

(i may - for the moment - remove the generation test since this is the 
only one that fails and it isn't a particularly good test in any case.)

- robert


---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message